TikTok's Shop Performance Score overview
GET
/api/public/v1/tik_tok_shop/shop_healthConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopHealth
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| locale | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| benefits | array of object, nullable | |
| benefits[].[].benefit_name | string, nullable | |
| benefits[].[].is_unlocked | boolean, nullable | |
| benefits[].[].unlock_score | string, nullable | |
| dimensions | array of object, nullable | |
| dimensions[].[].name | string, nullable | |
| dimensions[].[].score | string, nullable | |
| dimensions[].[].status | string, nullable | |
| dimensions[].[].status_text | string, nullable | |
| dimensions[].[].weight | string, nullable | |
| peerPercentile | string, nullable | |
| score | string, nullable | |
| tier | string, nullable | |
| topIssues | array of object | |
| topIssuesSummary | , nullable |
Example
{
"benefits": [
{
"benefit_name": "Example name",
"is_unlocked": true,
"unlock_score": "string"
}
],
"dimensions": [
{
"name": "Example name",
"score": "string",
"status": "string",
"status_text": "string",
"weight": "string"
}
],
"peerPercentile": "string",
"score": "string",
"tier": "string",
"topIssues": [
"string"
],
"topIssuesSummary": "string"
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.